
import Panel from "../views/Panel";
import DogData from "../startScene/DogData";
export default class Share2Panel extends Panel {
  
    public get skinKey() { return 'Share2' }
	public get groupName() { return 'share2_panel'}
    constructor(data?){
        super(data);
    }

    start(data?):void{
        this.percentHeight = 100;
    }

    initEvents():void{
         this.addEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
    }

    removeEvents():void{
         this.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
    }

    onSkinComplete(): void {
        super.onSkinComplete();
        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }

    private onLoad():void{
        //img.style.display = 'none';//block
    }
}